//
// This file was generated by the Eclipse Implementation of JAXB, v3.0.0 
// See https://eclipse-ee4j.github.io/jaxb-ri 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2023.08.30 at 10:47:28 AM CEST 
//


package se.arbetsformedlingen.wsdl;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ArrayOfSUNGuideLeaf complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ArrayOfSUNGuideLeaf"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="SUNGuideLeaf" type="{urn:ams.se:Taxonomy}SUNGuideLeaf" maxOccurs="unbounded" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ArrayOfSUNGuideLeaf", namespace = "urn:ams.se:Taxonomy", propOrder = {
    "sunGuideLeaf"
})
public class ArrayOfSUNGuideLeaf {

    @XmlElement(name = "SUNGuideLeaf", nillable = true)
    protected List<SUNGuideLeaf> sunGuideLeaf;

    /**
     * Gets the value of the sunGuideLeaf property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the Jakarta XML Binding object.
     * This is why there is not a <CODE>set</CODE> method for the sunGuideLeaf property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSUNGuideLeaf().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SUNGuideLeaf }
     * 
     * 
     */
    public List<SUNGuideLeaf> getSUNGuideLeaf() {
        if (sunGuideLeaf == null) {
            sunGuideLeaf = new ArrayList<SUNGuideLeaf>();
        }
        return this.sunGuideLeaf;
    }

}
